/***************************************************************************
**
**    $Header:   D:/EP196/SRC/LOG/SRCDLL/SRCFUNC.CPP   1.0   15 Aug 1997 14:03:40   ZJRD  $
**
**    $Log:   D:/EP196/SRC/LOG/SRCDLL/SRCFUNC.CPP  $
** 
**    Rev 1.0   15 Aug 1997 14:03:40   ZJRD
** Initial revision.
** 
****************************************************************************/

// srcfunc.cpp : implementation file
//

#include "stdafx.h"
#include "srcdll.h"
#include "srcfunc.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CSourceFunctionRangeDlg dialog

CSourceFunctionRangeDlg::CSourceFunctionRangeDlg(const CString& strName, const CString& strRange, CWnd* pParent /*=NULL*/)
	: CDialog(CSourceFunctionRangeDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CSourceFunctionRangeDlg)
	m_strName = strName;
	m_strRange = strRange;
	//}}AFX_DATA_INIT
}

void CSourceFunctionRangeDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSourceFunctionRangeDlg)
	DDX_Text(pDX, IDC_STATIC_LOADFUNCTION_NAME, m_strName);
	DDX_Text(pDX, IDC_STATIC_LOADFUNCTION_RANGE, m_strRange);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CSourceFunctionRangeDlg, CDialog)
	//{{AFX_MSG_MAP(CSourceFunctionRangeDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSourceFunctionRangeDlg message handlers

BOOL CSourceFunctionRangeDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	// TODO: Add extra initialization here
	
	// Center window
	CenterWindow();
	
	// DDE
	UpdateData(FALSE);

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
